package org.jeecg.modules.duxiaoman.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.duxiaoman.entity.DuxiaomanMaterialInfo;

/**
 * 度小满素材信息
 *
 * @author jeecg-boot
 * 2022-08-15
 * @version V1.0
 */
public interface IDuxiaomanMaterialInfoService extends IService<DuxiaomanMaterialInfo> {

    /**
     * 查询渠道
     */
    JSONObject getMaterialChannel();

    /**
     * 查询渠道
     */
    JSONObject getMaterialType();

    Result<Object> upload(DuxiaomanMaterialInfo materialInfo);

    void uploadMaterial(DuxiaomanMaterialInfo materialInfo);

    void materialReport(DuxiaomanMaterialInfo materialInfo);

    void materialDetail(DuxiaomanMaterialInfo materialInfo);

    Result<Object> add(JSONObject json);

    Result<Object> getPersonnelInfo(DuxiaomanMaterialInfo duxiaomanMaterialInfo);

    Result<Object> materialBos(String id);

}
